Bug 1247763 - Foreground self-heals should be removed
Foreground self-heals should be removed
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: bugs@gluster.org
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2015-07-28 15:54 EDT by Joe Julian
Modified: 2015-10-20 16:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-10-20 16:55:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Julian 2015-07-28 15:54:35 EDT
When a number of files are in need of self-heal, the client blocks once background-self-heal count is exceeded, instead healing the next lookup in the foreground, blocking the client.

Since there is a self-heal daemon, foreground heals should be eliminated. If the client background-self-heal queue is full, ensure that the link exists in xattrop and give the FD to the healthy brick so the client can move on without blocking.
Comment 1 Pranith Kumar K 2015-08-04 08:30:59 EDT
From 3.6.x there is no foreground self-healing. Did you run into this in the latest releases Joe?

Note You need to log in before you can comment on or make changes to this bug.